commit 04660f63e81a3104e190b49fcdb951c0fafad28e
Author: Dimitris Aragiorgis <dimara@grnet.gr>
Date:   Tue Sep 24 19:57:05 2013 +0300

    snf-deploy: fix snf-deploy ganeti
    
    A typo and explicitely install drbd8-utils package for ganeti.
    
    Signed-off-by: Dimitris Aragiorgis <dimara@grnet.gr>

diff --git a/ci/schemas/one_node_squeeze/packages.conf b/ci/schemas/one_node_squeeze/packages.conf
index d6c1f50..b29389a 100644
--- a/ci/schemas/one_node_squeeze/packages.conf
+++ b/ci/schemas/one_node_squeeze/packages.conf
@@ -22,6 +22,7 @@ python-progress =
 ganeti-instance-debootstrap =
 python-django-south = squeeze-backports
 python-django = squeeze-backports
+drbd8-utils =
 
 
 [synnefo]
diff --git a/ci/schemas/one_node_squeeze/squeeze.conf b/ci/schemas/one_node_squeeze/squeeze.conf
index d6c1f50..b29389a 100644
--- a/ci/schemas/one_node_squeeze/squeeze.conf
+++ b/ci/schemas/one_node_squeeze/squeeze.conf
@@ -22,6 +22,7 @@ python-progress =
 ganeti-instance-debootstrap =
 python-django-south = squeeze-backports
 python-django = squeeze-backports
+drbd8-utils =
 
 
 [synnefo]
diff --git a/ci/schemas/one_node_squeeze/wheezy.conf b/ci/schemas/one_node_squeeze/wheezy.conf
index 5c582a7..6b164e7 100644
--- a/ci/schemas/one_node_squeeze/wheezy.conf
+++ b/ci/schemas/one_node_squeeze/wheezy.conf
@@ -21,6 +21,8 @@ bridge-utils =
 python-progress =
 ganeti-instance-debootstrap =
 python-django-south =
+python-django =
+drbd8-utils =
 
 
 [synnefo]
diff --git a/ci/schemas/one_node_wheezy/packages.conf b/ci/schemas/one_node_wheezy/packages.conf
index 51eee40..6b164e7 100644
--- a/ci/schemas/one_node_wheezy/packages.conf
+++ b/ci/schemas/one_node_wheezy/packages.conf
@@ -22,6 +22,7 @@ python-progress =
 ganeti-instance-debootstrap =
 python-django-south =
 python-django =
+drbd8-utils =
 
 
 [synnefo]
diff --git a/ci/schemas/one_node_wheezy/squeeze.conf b/ci/schemas/one_node_wheezy/squeeze.conf
index 05f6605..4b302ab 100644
--- a/ci/schemas/one_node_wheezy/squeeze.conf
+++ b/ci/schemas/one_node_wheezy/squeeze.conf
@@ -21,6 +21,7 @@ bridge-utils =
 python-progress =
 ganeti-instance-debootstrap =
 python-django-south = squeeze-backports
+drbd8-utils =
 
 
 [synnefo]
diff --git a/ci/schemas/one_node_wheezy/wheezy.conf b/ci/schemas/one_node_wheezy/wheezy.conf
index 51eee40..6b164e7 100644
--- a/ci/schemas/one_node_wheezy/wheezy.conf
+++ b/ci/schemas/one_node_wheezy/wheezy.conf
@@ -22,6 +22,7 @@ python-progress =
 ganeti-instance-debootstrap =
 python-django-south =
 python-django =
+drbd8-utils =
 
 
 [synnefo]
diff --git a/snf-deploy/conf/packages.conf b/snf-deploy/conf/packages.conf
index 329092f..8f81c9a 100644
--- a/snf-deploy/conf/packages.conf
+++ b/snf-deploy/conf/packages.conf
@@ -22,6 +22,7 @@ python-progress =
 ganeti-instance-debootstrap =
 python-django-south = squeeze-backports
 python-django = squeeze-backports
+drbd8-utils =
 
 
 [synnefo]
diff --git a/snf-deploy/conf/squeeze.conf b/snf-deploy/conf/squeeze.conf
index 329092f..8f81c9a 100644
--- a/snf-deploy/conf/squeeze.conf
+++ b/snf-deploy/conf/squeeze.conf
@@ -22,6 +22,7 @@ python-progress =
 ganeti-instance-debootstrap =
 python-django-south = squeeze-backports
 python-django = squeeze-backports
+drbd8-utils =
 
 
 [synnefo]
diff --git a/snf-deploy/conf/wheezy.conf b/snf-deploy/conf/wheezy.conf
index 4b29934..fb6d6ef 100644
--- a/snf-deploy/conf/wheezy.conf
+++ b/snf-deploy/conf/wheezy.conf
@@ -22,6 +22,7 @@ python-progress =
 ganeti-instance-debootstrap =
 python-django-south =
 python-django =
+drbd8-utils =
 
 
 [synnefo]
diff --git a/snf-deploy/fabfile.py b/snf-deploy/fabfile.py
index 00358d0..0cf655d 100644
--- a/snf-deploy/fabfile.py
+++ b/snf-deploy/fabfile.py
@@ -944,6 +944,7 @@ def add_node(node):
 def enable_drbd():
     if env.enable_drbd:
         debug(env.host, " * Enabling DRBD...")
+        install_package("drbd8-utils")
         try_run("modprobe drbd minor_count=255 usermode_helper=/bin/true")
         try_run("echo drbd minor_count=255 usermode_helper=/bin/true " +
                 ">> /etc/modules")
diff --git a/snf-deploy/snfdeploy/__init__.py b/snf-deploy/snfdeploy/__init__.py
index 2ad0da7..d1101dc 100644
--- a/snf-deploy/snfdeploy/__init__.py
+++ b/snf-deploy/snfdeploy/__init__.py
@@ -622,7 +622,7 @@ def main():
     fabcommand(args, env, actions)
 
   if args.command == "ganeti":
-    actions += get_actions("ganeti")
+    actions = get_actions("ganeti")
     fabcommand(args, env, actions)
 
 
